local entity_id = GetUpdatedEntityID()
local x,y = EntityGetTransform(entity_id)
SetRandomSeed(entity_id,GameGetFrameNum())

local trees = {
    "data/entities/vegetation/tree_spruce_1.xml",
    "data/entities/vegetation/tree_spruce_2.xml",
    "data/entities/vegetation/tree_spruce_3.xml",
    "data/entities/vegetation/tree_spruce_4.xml",
    "data/entities/vegetation/tree_spruce_5.xml",
}
function load_random_tree(x_pos)
    local x = x_pos + (Random(-100,100)/8)
    local did_hit,hit_x,hit_y = RaytracePlatforms( x, y, x, y+250 )
    if did_hit ~= true then
        print("can't create tree at:"..tostring(x)..","..tostring(y))
        --return
    end
    EntityLoad(trees[Random(1,#trees)],hit_x,hit_y)
end
local spread_width = 480
local x_start = x -spread_width/2
for i = 1,8 do
    load_random_tree(x_start)
    x_start = x_start + spread_width/8
end