function shot( projectile_id )
	local damage_model_comps = EntityGetComponent(projectile_id,"DamageModelComponent")
	if damage_model_comps ~= nil then
		--alread has a damage comps
		return
	end
	local damge = 0.2
	local projectile_comp = EntityGetFirstComponentIncludingDisabled(projectile_id,"ProjectileComponent")
	if projectile_comp~= nil then
		damge = math.max(ComponentGetValue2(projectile_comp,"damage"),0.2)
	end
	EntityAddComponent2(projectile_id,"DamageModelComponent",{
        hp=damge,
        fire_probability_of_ignition=0,
        falling_damages=false,
        air_needed=false, 
        materials_damage=false,
        ragdoll_filenames_file="",
        blood_material="",
        blood_multiplier=0,
        create_ragdoll=false,
	})
	EntityAddComponent2(projectile_id,"HitboxComponent ",{
		aabb_min_x=-5,
		aabb_max_x=5,
		aabb_min_y=-5,
		aabb_max_y=5,
	})
end