
local entity_id = GetUpdatedEntityID()
local hp,max_hp
local damage_comp = EntityGetFirstComponentIncludingDisabled(entity_id,"DamageModelComponent")
hp = ComponentGetValue2(damage_comp,"hp")
max_hp = ComponentGetValue2(damage_comp,"max_hp")

if hp == nil or max_hp == nil then
    return
end

local main_sprite  =EntityGetFirstComponentIncludingDisabled(entity_id,"SpriteComponent")
local x_offset = math.max(ComponentGetValue2(main_sprite,"offset_x"),10) 
local y_offset = (math.max(ComponentGetValue2(main_sprite,"offset_y"),10) + 8)/0.4 
local special_scale_x = (hp /max_hp) * x_offset /3 
--print("x_offset:"..tostring(x_offset))
--print( "special_scale_x:"..tostring(special_scale_x))
local hp_bar_comp = EntityGetFirstComponentIncludingDisabled(entity_id,"SpriteComponent","hp_bar")
ComponentSetValue2(hp_bar_comp,"offset_y",y_offset)
ComponentSetValue2(hp_bar_comp,"special_scale_x",special_scale_x )

local hp_var_text = tostring(math.floor(hp*25+ 0.5) ).."/"..tostring(math.floor(math.floor(max_hp*25+0.5) ))
local hp_value_comp = EntityGetFirstComponentIncludingDisabled(entity_id,"SpriteComponent","hp_value")
local text_length = string.len(hp_var_text)
ComponentSetValue2(hp_value_comp,"offset_y",y_offset +1)
ComponentSetValue2(hp_value_comp,"offset_x",text_length * 2)
ComponentSetValue2(hp_value_comp,"text",hp_var_text)