local entity_id = GetUpdatedEntityID()       
if EntityHasTag(entity_id,"mod_drag_by_mouse") then
    local relative_pos_x,relative_pos_y
    local mouse_x,mouse_y = DEBUG_GetMouseWorld()
    local var_comps = EntityGetComponentIncludingDisabled(entity_id,"VariableStorageComponent")
    for _,comp in pairs(var_comps) do
        if ComponentGetValue2(comp,"name") == "mouse_relative_pos_x" then
            relative_pos_x = ComponentGetValue2(comp,"value_float")
        elseif ComponentGetValue2(comp,"name") == "mouse_relative_pos_y" then
            relative_pos_y = ComponentGetValue2(comp,"value_float")
        end
    end  
    if relative_pos_x~= nil and relative_pos_y ~= nil then
        EntitySetTransform(entity_id,mouse_x+relative_pos_x,mouse_y+relative_pos_y)
    end  
    
else
    EntitySetComponentsWithTagEnabled(entity_id,"drag_update",false)
end
