dofile_once("data/scripts/lib/utilities.lua")

function death()
	local entity_id = GetUpdatedEntityID()
	local x,y = EntityGetTransform( entity_id )
	
	local file = EntityGetFilename( entity_id )
	
	if ( file ~= nil ) and ( #file > 0 ) then
		local eid = EntityLoad( "data/entities/misc/necrobot_revive.xml", x, y )
		local comp = EntityGetFirstComponent( eid, "VariableStorageComponent", "necrobot_entity_file" )
		
		if ( comp ~= nil ) then
			ComponentSetValue2( comp, "value_string", file )
		end

		local gene_comp = EntityGetFirstComponentIncludingDisabled( entity_id,"GenomeDataComponent")
		if gene_comp == nil then
			print("no GenomeDataComponent on this creature!")
			return
		end  
		local creature_herd_id = ComponentGetValue2(gene_comp,"herd_id")
		EntityAddComponent2(eid,"VariableStorageComponent",{
			name = "monster_info",
			value_int = creature_herd_id
		})
	end
end