local entity_id = GetUpdatedEntityID()
local wand_id = EntityGetParent(entity_id)
if wand_id == entity_id then
    EntityKill(entity_id)
    return
end

local fire_enable = (GlobalsGetValue("FIRE_ENABLE","false") == "true")
if fire_enable then
    local child_spells = EntityGetAllChildren(entity_id)
    for _,spell in pairs(child_spells) do
        if EntityGetFirstComponentIncludingDisabled(spell,"ItemActionComponent") ~= nil then
            EntityRemoveFromParent(spell)
            EntityAddChild(wand_id,spell)
        end
    end
    EntityKill(entity_id)
end